Bug 1284444 - Review Request: eclipse-xpand - Xpand is a statically-typed template language
Review Request: eclipse-xpand - Xpand is a statically-typed template language
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 05:58 EST by Sopot Cela
Modified: 2015-11-24 12:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 12:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sopot Cela 2015-11-23 05:58:34 EST
Spec URL: https://sopotc.fedorapeople.org/eclipse-xpand/eclipse-xpand.spec
SRPM URL: https://sopotc.fedorapeople.org/eclipse-xpand/eclipse-xpand-2.1.0-0.1.git57989ad.fc23.src.rpm
Description: Xpand is a language specialized on code generation based on EMF models
Fedora Account System Username:sopotc
Comment 1 Sopot Cela 2015-11-23 06:06:03 EST
Updated URLs since I realized 2.1.0 is a released upstream version. New URLs:

Spec URL: https://sopotc.fedorapeople.org/eclipse-xpand/eclipse-xpand.spec
SRPM URL: https://sopotc.fedorapeople.org/eclipse-xpand/eclipse-xpand-2.1.0-1.0.git57989ad.fc23.src.rpm
Comment 2 Mat Booth 2015-11-24 05:11:05 EST
I would only suggest that for post-release snapshots, you can simply use this for the release:

1.git57989ad

(I.e. there is no need for the ".0")

See: https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Post-Release_packages

But there are no other problems with this package, it is *approved*.

Full report follows:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package requires other packages for directories it uses.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/eclipse/droplets,
     /usr/share/eclipse
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-xpand-2.1.0-1.0.git57989ad.fc24.noarch.rpm
          eclipse-xpand-2.1.0-1.0.git57989ad.fc24.src.rpm
eclipse-xpand.noarch: W: no-documentation
eclipse-xpand.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/xpand/eclipse/plugins/org.antlr.runtime_3.2.0.jar ../../../../../java/antlr32/antlr-runtime-3.2.jar
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Requires
--------
eclipse-xpand (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    osgi(org.antlr.runtime)
    osgi(org.eclipse.emf.mwe.core)
    osgi(org.eclipse.emf.mwe.utils)
    osgi(org.eclipse.jdt.core)



Provides
--------
eclipse-xpand:
    eclipse-xpand
    mvn(org.eclipse.xpand:org.eclipse.xpand)
    mvn(org.eclipse.xpand:org.eclipse.xpand.parent:pom:)
    mvn(org.eclipse.xpand:org.eclipse.xtend)
    mvn(org.eclipse.xpand:org.eclipse.xtend.typesystem.emf)
    osgi(org.eclipse.xpand)
    osgi(org.eclipse.xtend)
    osgi(org.eclipse.xtend.typesystem.emf)



Source checksums
----------------
https://git.eclipse.org/c/m2t/org.eclipse.xpand.git/snapshot/org.eclipse.xpand-57989ad4b0ade4c261037ebe4c166e9f8090317e.zip :
  CHECKSUM(SHA256) this package     : bc4925abd95fcf8bf6b9a2c4cc518c40e98dfb2ac106572e42a012eeef4004a5
  CHECKSUM(SHA256) upstream package : bc4925abd95fcf8bf6b9a2c4cc518c40e98dfb2ac106572e42a012eeef4004a5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1284444
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Gwyn Ciesla 2015-11-24 11:44:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/eclipse-xpand
Comment 4 Sopot Cela 2015-11-24 12:49:47 EST
Package built for both rawhide and f23. Closing. Thanks Mat.

Note You need to log in before you can comment on or make changes to this bug.